# GET Code Mail With OAuth2 Token

**API**

POST <https://tools.dongvanfb.net/api/get\\_code\\_oauth2>

POST DATA:

```json
{
    "email": <EMAIL>,
    "refresh_token": <REFRESH_TOKEN>,
    "client_id": <CLIENT_ID>,
    "type": <TYPE>
}
```

type:

* all
* facebook
* instagram
* twitter
* apple
* tiktok
* amazon
* lazada
* kakaotalk
* google
* shopee
* telegram
* wechat

#### Example

{% code title="Request" %}

```
POST https://tools.dongvanfb.net/api/get_code_oauth2
Body:
{
    "email": "dsfsd45t4dfg@hotmail.com",
    "refresh_token": "M.C518_BAY.0.U.-CtLyFkvpx3K*0NhzBPs4WM*pnGJXJkiN6BRN90zWaaX0CsGNQifKlyVRku8uzJNqdEFTzvhhF7coNzQ1y8eWM6bAu9i4jGIWQojThUG9mRt5iOKtrNUYIpVIpzbNJmxg0ScX10OvSUpISzGHuiF6g7NPu1g7PJZKQYlraipFnfp7bbHNLN9CwhlsoN5FOWZsK!Otm5lIj6fETNXzFVKQvbaVKPJon1E1Qx*M4f3XFs8uIl*Ym*S41F9ivu3htQzEpxpsFT1vImq1mew*GeNPQj!fEkFE32GbyapC5b0YW07u2vbyXuqAttNDEaIv8O6ULdyBdeKUCjEh2AeYj32qp9k8TWBpYfCFlAbBhceLmumKYsYNIsUzlYaopWcE5ZIowDeVNYVFrbnFs5VH1keKWmDISe88bFfRzUW8OEhVW*f9!QMqOn8shv1YtWb3uquRJg$$",
    "client_id": "5464fghj-bnmm-jh56-56fh-454345sdff",
    "type": "facebook"
}
```

{% endcode %}

{% code title="Response" %}

```
{
    "email": "tommiel@hotmail.com",
    "password": "bV1emc",
    "status": true,
    "code": "37589",
    "content": "37589 is your Facebook confirmation code",
    "date": "22:43 - 15/04/2022""
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dongvanfb.net/utils/get-code-mail-with-oauth2-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
